Docs
Update Resource State
PUT /resource-states/{id}
PUT
/resource-states/{id}Updates a state. Archive a state that is still referenced (isArchived true) instead of deleting it. Needs the event settings permission.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| id | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| color | string | Optional | |
| icon | string | Optional | |
| isArchived | boolean | Optional |